
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>解决 iOS 8 WebView 不能呼叫客户端的问题 / iVAN</title>

    <meta name="description" content="解决 iOS 8 WebView 不能呼叫客户端的问题 在客户端中嵌入一个 WebView 来引用网页非常常见.当前项目没有使用 phonegap,而是自己写了个 iframe 传递参数(原理与 phonegap 类似). 如下代码,iOS5-7 是可以正常调用 &lt;iframe src=&quot;http://qq.com&quot; style=&quot;width:200px;&quot;&gt;&lt;/iframe&gt; &lt;script&gt; function foo(){ document.querySelector(' ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">解决 iOS 8 WebView 不能呼叫客户端的问题</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在客户端中嵌入一个 WebView 来引用网页非常常见。当前项目没有使用 phonegap，而是自己写了个 iframe 传递参数（原理与 phonegap 类似）。</p>
<p>如下代码，iOS5-7 是可以正常调用</p>
<pre>&lt;iframe src="http://qq.com" style="width:200px;"&gt;&lt;/iframe&gt;

&lt;script&gt;
function foo(){
	document.querySelector('iframe').src='bar://foo?json=' + JSON.stringify({a:1,b:'2'});
}

&lt;/script&gt;
&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
&lt;a href="javascript:foo();"&gt;foo&lt;/a&gt;</pre>
<p>但是升级到 iOS8 之后，却忽然打不开了。Obj-C 层并没有拦截这个 bar:// 请求。</p>
<p>后来经过排查，是 bar:// 这段 URI 没有 URL 编码的缘故。解决办法是 encodeURIComponent JSON 参数即可，还可以保证 中文 的传输。</p>
<p>如下例子。</p>
<pre>&lt;iframe src="http://qq.com" style="width:200px;"&gt;&lt;/iframe&gt;

&lt;script&gt;
function foo(){
	document.querySelector('iframe').src='bar://foo?json=' + encodeURIComponent(JSON.stringify({a:1,b:'2'}));
}

&lt;/script&gt;
&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
&lt;a href="javascript:foo();"&gt;foo&lt;/a&gt;
</pre>
<p>估计是 Apple 方面为了堵住什么安全漏洞所以要求 URL 编码的。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-06 09:05:20</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/ios/" title="ios">ios</a>, <a href="https://www.iamivan.net/tag/json/" title="json">json</a>, <a href="https://www.iamivan.net/tag/url/" title="url">url</a>, <a href="https://www.iamivan.net/tag/javascript/" title="javascript">javascript</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>解决 iOS 8 WebView 不能呼叫客户端的问题的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrWRe6p.html" rel="bookmark">ios-如何解决IOS设备上按钮不不触发的问题？？？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 如何解决IOS设备上按钮不不触发的问题??? 不管是 click() 还是 on(click,fuction(){ }) 还是 $(document).on(click,buton,fuction(){ }) 还是加上一个判定 touchend ,IOS设备都不出发按键效果, 除了在HTML中 使用 onclick=&quot;方法&quot; 才能触发,请问是为什么,该如何解决?? 使用JS代码,或者用其他插件?? 解决方案 webview有是否允许弹出的,你确定允许弹出?			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0QeXAp.html" rel="bookmark">ios-急求解决 IOS推送 javapns2&period;2</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 急求解决 IOS推送 javapns2.2 javapns2.2 还能使用吗? 为什么我一直报错? 错误信息为: javax.net.ssl.SSLHandshakeException: Remote host closed connection during handshake 解决方案 确保你连的主机22端口可访问			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWN7qAb.html" rel="bookmark">微信连WiFi关注公众号流程更新 解决ios微信扫描二维码不关注就能上网的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前几天鼓捣了一下微信连WiFi功能,设置还蛮简单的,但ytkah发现如果是ios版微信扫描微信连WiFi生成的二维码不用关注公众号就可以直接上网了,而安卓版需要关注公众号才能上网,这样就少了很多ios用户的关注用户,ios用户的线上消费水平普遍比安卓的高.现在好了,微信连WiFi上线连网后关注公众号的流程更新了,解决ios微信扫描二维码不关注就能上网的问题. 还在为无法转化到店顾客为粉丝而烦恼吗? 微信连WiFi上线连网后关注公众号的新流程,让顾客在连你的WiFi时感知你的品牌,成为你的粉丝.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p562B7z.html" rel="bookmark">微信JSSDK多图片上传并且解决IOS系统上传一直加载的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				微信多图片上传必须挨个上传,也就是不能并行,得串行: 那么我们可以定义一个如下所示的上传函数: var serverIds = []; function uploadImages(localImagesIds) { if (localImagesIds.length === 0) { $.showPreloader('正在提交数据...'); $('form').submit(); } wx.uploadImage({ localId: localImagesIds[0], // 需要上传的图片			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5A9j7p.html" rel="bookmark">详解如何利用iOS API编写简单微博客户端</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				要编写社交网络客户端程序,可以大体上分为4个主要的步骤 下面我们按照这个流程,介绍一下: 1.引入Accounts和Social框架 工程中需要引入Accounts和Social框架,Accounts框架中有进行用户账户认证所需类,Social框架中SLRequest类是我们所需要的.添加具体步骤是选择工程中的TARGETS→WeiBo→Build Phases→Link Binary With Libraries,选择右下角的&quot;+&quot;按钮,打开框架和库选择对话框. 分别选择Social			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgKDJAM.html" rel="bookmark">iOS开发：服务器到客户端对ATS的适配</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  一.简单谈谈ATS(App Transport Security) ATS(App Transport Security)是为了提高App与服务器之间安全传输数据一个特性,这个特性从iOS9和OSX10.11开始出现,它默认需要满足以下几个条件: 服务器TLS版本至少是1.2版本 连接加密只允许几种先进的加密 证书必须使用SHA256或者更好的哈希算法进行签名,要么是2048位或者更长的RSA密钥,要么就是256位或更长的ECC密钥. 如果想了解哪几种先进的加密是被允许的,详情请见官方文档A			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgV0g3b.html" rel="bookmark">利用iOS API编写简单微博客户端全过程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				要编写社交网络客户端程序,可以大体上分为4个主要的步骤 下面我们按照这个流程,介绍一下: 1.引入Accounts和Social框架 工程中需要引入Accounts和Social框架,Accounts框架中有进行用户账户认证所需类,Social框架中SLRequest类是我们所需要的.添加具体步骤是选择工程中的TARGETS→WeiBo→Build Phases→Link Binary With Libraries,选择右下角的&quot;+&quot;按钮,打开框架和库选择对话框. 分别选择Social			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPlOB0p.html" rel="bookmark">详解利用exif&period;js解决ios手机上传竖拍照片旋转90度问题&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				HTML5+canvas进行移动端手机照片上传时,发现iOS手机上传竖拍照片会逆时针旋转90度,横拍照片无此问题:Android手机没这个问题. 因此解决这个问题的思路是:获取到照片拍摄的方向角,对非横拍的ios照片进行角度旋转修正. 利用exif.js读取照片的拍摄信息,这里主要用到Orientation属性. Orientation属性说明如下: 下面就直接上代码了. 主要有html5页面和一个js,示例功能包含了图片压缩和旋转. 自己写的是uploadImage.js. html5测试页面			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjjd3db.html" rel="bookmark">delphi 10 seattle 中 解决IOS 9 限制使用HTTP 服务问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				   IOS 9 于17号早上正式开始推送,早上起来立马安装,这次升级包只有1G, 安装空间也大大降低(想起IOS 8 升级时,几乎把手机里面的东西删光了,满眼都是泪). 虽然安装后,网上几乎是铺天盖地的吐槽,但是如果不安装的话,拿什么吐呢?:)     回到正题,既然IOS 9出来了,那么前几天刚出来的delphi 10 会怎么想?是支持呢,还是不支持? 昨天晚上把所有的准备条件搞好(xcode7+ios 9 SDK).    把以前的几个程序重新编译发布,基本上没有问题,可以正常运行.以为大			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkvn5M.html" rel="bookmark" class="title">认识传统网络防火墙不足之处</a>
					<div>
						网络防火墙在安全防护中,起到重要作用,但是我们,也应该看到它的不足之处. 如今,知识渊博的黑客,均能利用网络防火墙开放的端口,巧妙躲过网络防火墙的监测,直接针对目标应用程序.他们想出复杂的 攻击方法, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKlNOM.html" rel="bookmark" class="title">一个草根站长对漂亮女友的期望</a>
					<div>
						亲爱的,今天是我们两个认识1周年的日子,除了送你一个新的512M的内存当礼物外,我还想对你说几句知心话. 我知道你很漂亮,在同龄的女孩子里都是出类拔萃的,165的个子,精致的脸蛋,凹凸有致的身材,其实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Vzwwgvz.html" rel="bookmark" class="title">浅谈移动搜索广告你所需要注意的四个问题</a>
					<div>
						移动搜索广告,同时我们也称之为移动付费搜索,和我们传统的付费桌面搜索广告很像,你的广告在被点击的时候你就需要付费.他们有很多相似之处,然而作为移动搜索的用户却和桌面搜索的用户有很多的不同指出,尤其是涉 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvNoVM.html" rel="bookmark" class="title">SEO数据分析，百度快照一马当先</a>
					<div>
						作为网站SEOER,就必须学会分析网站的SEO数据,其中分析网站的快照情况可谓是重中之重,做网站优化有句至理名言叫&quot;有快照就有未来&quot;.什么是百度快照,指的是在百度搜索引擎中每个被收 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKWx7b.html" rel="bookmark" class="title">ADSL猫巧设置：加速你的网络</a>
					<div>
						第一招:解决干扰 一位朋友的网络一直比较正常,可最近出了点很奇怪的故障.网络白天一般比较正常,晚上&quot;大猫&quot;则经常断流.他把电脑大卸了好几次,把ADSL线路检查了N遍,结果无济于事. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKlG6p.html" rel="bookmark" class="title">精通Grails&colon; 创建自定义插件</a>
					<div>
						这个 精通 Grails 系列文章主要关注智能代码重用.如果您需要在多个地方复制和粘贴相同的 GroovyServer Pages (GSP) 代码段,您就可以创建一个部分模板或一个自定义 TagLi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEVVPb.html" rel="bookmark" class="title">Linux Mint 15路线图：将带来3个新特性</a>
					<div>
						Linux Mint 14 (Nadia)的发布才过去了几周的时间,但是这个流行的Linux发行版已经在计划它的下一版项目了.其实在上周,项目负责人Clement Lefebvre已经放出了Linux ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwEZmz.html" rel="bookmark" class="title">PS详解转手绘中头发绘制</a>
					<div>
						教程向朋友们介绍PS详解转手绘中头发绘制.头发的绘制是转手绘中最难的部分.质感亮丽的发丝会给人物增加不少亮点.不过要画出有层次感的发丝还是要花费一定功夫的.需要用钢笔分别勾出不同的路径来描边,逐步做出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrVNdp.html" rel="bookmark" class="title">word中怎么输入&amp;quot&semi;&sect;&amp;quot&semi;小节字符并设置快捷键&quest;</a>
					<div>
						  word中怎么输入&quot;§&quot;小节字符并设置快捷键?           1.打开word文档,并切换到[插入]选项卡之下 2.在最右边的[符号]中,点击下拉菜单后,点击[其他符号] ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLw2Zb.html" rel="bookmark" class="title">WPS2010八大优势全新体验</a>
					<div>
						WPS 2010 基于云办公的理念,让用户可以在办公室.学校或家里最高效地完成工作.让连接至Internet的每台计算机,让世界不同角落的人们同时协作自己的文件. 1.前所未有的性能提升 WPS201 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3Dq6p.html" rel="bookmark" class="title">农场超级农场助手使用手册</a>
					<div>
						为了帮助大家不再隔三差五的跑进农场去查看自己的菜或者好友的菜熟了没有,从而节省很多时间用于做其它事情,本期小编为大家推荐一款可以全自动帮助用户摘取.种植.买卖.浇水.杀虫.除草等全套服务的辅助工具-- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1rlob.html" rel="bookmark" class="title">&lbrack;算法系列之六&rsqb;二叉查找树</a>
					<div>
						[简介] 二叉查找树是一种数据结构,它支持多种动态集合操作. 在二叉查找树上执行的基本操作的时间与树的高度成正比.对于一棵含有n个节点的完全二叉树,这些操作的最坏情况运行时间为O(n). [结构体]  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kRglM.html" rel="bookmark" class="title">js-金额正则表达式，最多有两位小数。</a>
					<div>
						问题描述 金额正则表达式,最多有两位小数. 5C 如果是整数,不能以0开头,如果是小数,最多只有两位小数.不能有逗号等其他字符. 解决方案 [1-9](d+)(.d{12}) 解决方案二: 带两位小数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAOPEM.html" rel="bookmark" class="title">分析Java的类加载器与ClassLoader（二）：classpath与查找类字节码的顺序，分析ExtClassLoader与AppClassLoader的源码</a>
					<div>
						先回顾一下classpath classpath的作用:         classpath的作用是指定查找类的路径:当使用java命令执行一个类(类中的main方法)时,会从classpath中进行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1KkKz.html" rel="bookmark" class="title">kangle代理服务器使用用户验证登陆代理</a>
					<div>
						最近,一直在使用kangle的软件,说实话真的很不错的呢.今天特意测试了一下,用户验证方式使用kangle代理服务器. 这个kangle的论坛是有具体的操作手册的,在此我只是提醒几点有关要注意的地方. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkejvjb.html" rel="bookmark" class="title">5款能够进行网络问题扫描的安卓App</a>
					<div>
						当你在外面需要检查网络问题的时候,你会很庆幸有这样方便的移动扫描器. 事情来了--特别是在你还没有准备好的时候.你的网络突然出现问题,而你却在校园的另一端--你手上唯一的工具就是你的安卓设备.你必须要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRnxBb.html" rel="bookmark" class="title">《Python语言程序设计》&mdash;&mdash; 导读</a>
					<div>
						前 言 本书假设你是一位先前没有任何程序设计经验的程序员新手.那么,什么是程序设计呢?程序设计是指使用程序设计语言编写程序以解决问题.不论你使用的是哪种程序设计语言,解决问题和程序设计的根本都是一致的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRD5Wkz.html" rel="bookmark" class="title">android多媒体音乐（MediaPlayer）播放器制作代码</a>
					<div>
						本文实例为大家分享了android多媒体音乐播放器的具体实现代码,供大家参考,具体内容如下. 首先,在AndroidManifest.xml中配置权限 &lt;!-- 读取手机中的音乐 --&gt;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0KZjM.html" rel="bookmark" class="title">西门子斥资1亿美元与世界银行和解</a>
					<div>
						北京时间7月3日下午消息,据国外媒体报道,西门子已与世界银行(以下简称&quot;世行&quot;)就行贿案达成和解,同意支付1亿美元用于支持世行反腐败项目,并放弃在未来2年内竞标世行的任何项目. 此 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWmDdz.html" rel="bookmark" class="title">js处理自己不能定义二维数组的方法详解&lowbar;javascript技巧</a>
					<div>
						复制代码 代码如下: var a= new Array(new Array(1,2),new Array('b','c')); document.write(a[1][1]); 说白了,就是利用for ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5QDRz.html" rel="bookmark" class="title">jQuery设置单选按钮radio选中&sol;不可用的实例代码&lowbar;jquery</a>
					<div>
						因为本 part 是&quot;jQuery日常使用篇&quot;,所以都是由具体需求出发,总结需要用到的知识点.代码写得未必很好,达到目标就好.那么我们先来看看这次的需求:色块模式基于彩色模式,即开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44daLz.html" rel="bookmark" class="title">解析&colon;通过php socket并借助telnet实现简单的聊天程序&lowbar;php技巧</a>
					<div>
						以下是通过php的socket扩展模块实现的一个简单的消息处理服务器端:绑定在一个本机的端口,监听客户端的连接,接收数据并转发给发送者之外的所有客户端socket_server.php 复制代码 代码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVOmqz.html" rel="bookmark" class="title">Python 时间操作例子和时间格式化参数小结&lowbar;python</a>
					<div>
						1.取过去具体时间的方法: 复制代码 代码如下: #!/usr/bin/python   import time  #取一天前的当前具体时间   time.strftime('%Y-%m-%d %T' ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlDjAp.html" rel="bookmark" class="title">求教关于内嵌多重数组和结构体的结构体与byte字节流转换的问题</a>
					<div>
						问题描述 本人定义了一个结构体,内嵌了二维数组和结构体数组,现在想转换成byte字节流,请问如何实现.在网上搜到的都是内嵌了一维数组的解决办法,但针对多维数组的解决方法没有,不知如何解决.结构体形式如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLBQ10b.html" rel="bookmark" class="title">我所理解的大数据个性化推荐</a>
					<div>
						一.写在之前的题外话 缘起. 想起要写这篇文章,一方面是昨天终于把项亮写的&lt;推荐系统实践&gt;给看完了,另一方面是自己负责的推荐系统项目已经处于一个多版本迭代的阶段了,并且从最近的AB测试效果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA6nqZp.html" rel="bookmark" class="title">各位大神帮我看看代码错在哪里呢</a>
					<div>
						问题描述 解决方案 解决方案二:debug一下sql的值就清楚了,depiddepnamedepphone里有一个是非法值解决方案三:最起码你要把where表达式中的&quot;and&quot;写对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXdOB5p.html" rel="bookmark" class="title">Google提供一千万美元奖金 征求全球最佳点子</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 中新网9月115.html&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZmo8wp.html" rel="bookmark" class="title">特朗普入主白宫，最大的功臣应该是他那个女王女儿</a>
					<div>
						特朗普将入驻白宫!将成为第45任美国总统,也将是第一任无任何从政经验的总统. 大嘴川普为什么会当选,相信会让很多人难以置信.其实仔细想想,希拉里代表的是美国既得利益群体,希拉里当选,美国将保持现状,社 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrvJyOM.html" rel="bookmark" class="title">Touch Handling in Cocos2D 3&period;x&lpar;四&rpar;</a>
					<div>
						创建触摸生命周期 让我们改善我们的应用程序.如果玩家可以触摸屏幕并且拖放英雄到指定位置不是更好吗? 为了完成这个功能我们必须使用Cocos2d 3.0提供的所有的触摸事件: touchBegan:在用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6qO3Wb.html" rel="bookmark" class="title">asp&period;net网上书店系统功能修改</a>
					<div>
						问题描述 txtKM代表公里&lt;asp:BoundFieldDataField=&quot;AreaKM&quot;HeaderText=&quot;公里数&quot;&gt;&lt;ItemSt ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
